<div class="input-group">
  <span class="input-group-btn">
    <button type="button" [ngClass]="btnClass" (click)="changeValue(-5)">
      <i class="fa fa-minus"></i>
    </button>
  </span>
  <input
    type="number"
    class="form-control"
    placeholder=""
    [(ngModel)]="progress"
    [ngClass]="{ 'is-red': progress>100 || progress<0 }"
    (ngModelChange)="onChange( $event )"
  />
  <span class="input-group-btn">
    <button [ngClass]="btnClass" type="button" (click)="changeValue(+5)">
      <i class="fa fa-plus"></i>
    </button>
  </span>
</div>
